Rename bill attachment
PATCH
/partners/bills/{uuid}/attachments/{attachmentUuid}Changes the display title of one bill attachment.
HMAC signature + Bearer access token
Try this requestPath parameters
uuiduuidrequiredThe bill or vendor memo UUID.
attachmentUuiduuidrequiredThe attachment UUID from List bill attachments.
Request body
titlestringrequiredThe new display title.
Responses
200Attachment renamed.400Missing title.404Bill or attachment not found.401Missing or invalid HMAC signature, expired timestamp, or invalid Bearer token. Troubleshoot403The credential does not have access to this workspace or resource. Troubleshoot429Rate limit exceeded (100 requests per minute per user of each app, or 10,000 per minute per app). Retry after the Retry-After header. TroubleshootPATCH
https://api.getcount.com/partners/bills/{uuid}/attachments/{attachmentUuid}Request
import crypto from 'node:crypto';
const BASE_URL = 'https://api.getcount.com';
const CLIENT_ID = process.env.COUNT_CLIENT_ID;
const CLIENT_SECRET = process.env.COUNT_CLIENT_SECRET;
const ACCESS_TOKEN = process.env.COUNT_ACCESS_TOKEN;
const method = 'PATCH';
const signingPath = '/bills/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6';
const timestamp = Math.floor(Date.now() / 1000).toString();
const body = {
"title": "Harbourside invoice INV-20481"
};
const bodyString = JSON.stringify(body);
const bodyHash = crypto.createHash('sha256').update(bodyString).digest('hex');
const baseString = `${method}:${signingPath}:${timestamp}:${bodyHash}`;
const signature = crypto.createHmac('sha256', CLIENT_SECRET).update(baseString).digest('hex');
const response = await fetch(`${BASE_URL}/partners/bills/3fa85f64-5717-4562-b3fc-2c963f66afa6/attachments/3fa85f64-5717-4562-b3fc-2c963f66afa6`, {
method,
headers: {
'x-client-id': CLIENT_ID,
'x-timestamp': timestamp,
'x-signature': signature,
'Content-Type': 'application/json',
Authorization: `Bearer ${ACCESS_TOKEN}`,
},
body: bodyString,
});
console.log(await response.json());Response · 200
{
"status": "success",
"message": "Bill attachment updated successfully",
"data": {
"attachment": {
"id": "a9b8c7d6-e5f4-4a3b-9c2d-1e0f9a8b7c6d",
"title": "Harbourside invoice INV-20481",
"fileName": "INV-20481.pdf",
"documentUrl": "https://countstorage.blob.core.windows.net/bill-attachments/bill-4821/INV-20481.pdf?sv=2024-11-04&se=2026-01-15T11%3A30%3A00Z&sr=b&sp=r&sig=REDACTED",
"source": "partner_api",
"isDeleted": false,
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-01-15T10:30:00.000Z"
}
}
}